Bug 800413 - Inventory summary portlet: vertical alignment issues
Summary: Inventory summary portlet: vertical alignment issues
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: 4.3
Hardware: All All
medium
medium vote
Target Milestone: ---
: RHQ 4.4.0
Assignee: Jay Shaughnessy
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
: 782453 (view as bug list)
Depends On:
Blocks: rhq-uxd
TreeView+ depends on / blocked
 
Reported: 2012-03-06 13:06 UTC by Heiko W. Rupp
Modified: 2013-09-01 10:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 10:16:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (23.86 KB, image/png)
2012-03-06 13:06 UTC, Heiko W. Rupp
no flags Details
Screenshot from Resource measurements portlet (21.33 KB, image/png)
2012-03-06 13:17 UTC, Heiko W. Rupp
no flags Details

Description Heiko W. Rupp 2012-03-06 13:06:37 UTC
Created attachment 567943 [details]
Screenshot

In the inventory summary portlet, the vertical alignment for the counts are different than for the describing text.

Browser: Safari and Firefox both on Mac

See attached screenshot

Comment 1 Heiko W. Rupp 2012-03-06 13:17:16 UTC
Created attachment 567944 [details]
Screenshot from Resource measurements portlet

The resource measurement portlet shows this as well

Comment 2 Mike Foley 2012-03-12 15:42:42 UTC
per BZ traige (crouch, foley, loleary), medium priority, not targetted for JON 3.1

Comment 3 Jay Shaughnessy 2012-03-21 18:39:27 UTC
This has to do with the fact that some values are basic TextItems and
some are LinkItems.  The LinkItems seem to have a different height and also
a different alignment.  The forums discuss a few issues around this.

Comment 4 Jay Shaughnessy 2012-03-21 19:01:49 UTC
Master commit e5e285f0cc609d7ac1224132069a3ff59244a821

There are some issues it seems mixing LinkItems and StaticTextItems
in a column.  The LinkItems align differently. They also have a
separate vertical alignment problem wrt their titles.  The SmartGWT
forums indicate that others have had some issues.  I couldn't get the
LEFT align to work, so I went with Center and things are ok. Also, I
didn't really seen issue with the ResourceMetricsPortlet, even after
looking at the screenshot. Still, I also applied the CENTER alignment and
fixed the vertical align issue.

Comment 5 John Sanda 2012-05-09 13:17:24 UTC
*** Bug 782453 has been marked as a duplicate of this bug. ***

Comment 6 Heiko W. Rupp 2013-09-01 10:16:19 UTC
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.


Note You need to log in before you can comment on or make changes to this bug.